Subject: FVWM: Re: Notification: incoming/767

From: Dominik Vogt <[email-masked]>
Date: Mon, 10 Sep 2001 23:20:47 +0200

On Thu, Aug 23, 2001 at 08:43:36PM -0500, fvwm-bug wrote:
> FVWM Bug Tracking notification
> 
> new message incoming/767
> 
> Full_Name: Matthias K. Buelow
> Version: 2.4.0
> CVS_Date: 
> OS: HP-UX 10.20
> X_Server: HP-UX 10.20 shipped version
> Submission from: (NULL) (194.145.150.157)

Just to let you know: I have not forgotten about this report.  I'm
still trying to get access to a HP-UX 10 machine to test this.

> Context: fvwm 2.4.0 on HP-UX 10.20, on a Model 9000 712/60 workstation.
> Linked against xpm, no imlib, no readline, built with HP's optional
> ANSI C compiler for 10.20.  Single module running is FvwmPager.
> The problem shows up no matter if fvwm is built with X11R5 or X11R6
> headers/libs.
> 
> fvwm 2.4.0 heavily messes up tty handling in xterm, hpterm and rxvt.
> The problem does not show up in dtterm (CDE terminal) under fvwm 2.4.0.
> 
> The problem manifests itself in non-working interrupt keys, however
> all a bit different in the various terminals and it depends on the shell
> being used:
> 
> In xterm (both X11R5 as well as X11R6) with ksh and /bin/sh, SIGINTR
> doesn't occur at all (intr is bound to ^C, ^C does nothing, doesn't
> even echo).  For all other commands, the first character typed into
> the command line is echoed before the command's own output.  TERM is
> set to xterm.  The problem also shows up after TERM is set to vt100
> and xterm was reset.
> 
> In rxvt with ksh and /bin/sh, SIGINTR doesn't work and ^C is echoed.
> The first character typed is not echoed before a command's output.
> TERM is set to xterm.
> 
> With hpterm, the problem is similar to rxvt.  TERM is hpterm.
> 
> With dtterm, everything works normally.
> 
> The problem does not show up with csh, in any terminal.
> The problem _does_ show up after rlogin to a NetBSD machine, with yet
> another shell (pdksh), so it seems to be some trouble with the X
> terminal emulator in use.
> 
> When starting some programs, such as /bin/ed in a defective terminal
> session, Ctrl+C works all right in that program.  It does not work
> in vi, though, so this seems to be some messed up behaviour with the
> terminal line discipline regarding canonical mode and cbreak/raw mode
> (csh is also using canonical mode, ksh is using a combination of
> canonical and cbreak mode) or whatever.
> 
> Why I believe this to be an fvwm 2.4.0 problem is because it does
> not show up in in twm, ctwm, mwm, CDE, xfce and blackbox aswell as
> fvwm 1.24r (which I have been using mainly until now.)
> 
> This is a rather serious problem since it effectively disables the
> use of fvwm 2.4.0 on that particular system (unless you restrict
> yourself to dtterm.)
> 
> The problem does not occur on my NetBSD box, which is running the
> same version of fvwm.
> 
> More information will be provided on request.  I can help debugging
> this problem, I'll have a look into it this weekend.
> 
> --mkb
> 
> 
> 
> --
> Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
> body of a message to [email-masked].
> To report problems, send mail to [email-masked]

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].